Bug 671131 - Hangul Jamo render as U+00xx boxes and produce valgrind errors
Hangul Jamo render as U+00xx boxes and produce valgrind errors
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
https://bugzilla.gnome.org/show_bug.c...
: MoveUpstream, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-20 09:01 EST by Matt McCutchen
Modified: 2012-08-14 21:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-14 21:23:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Valgrind log from gucharmap (133.54 KB, text/plain)
2011-01-20 09:01 EST, Matt McCutchen
no flags Details
Screen shot of gucharmap (47.75 KB, image/png)
2011-01-20 09:02 EST, Matt McCutchen
no flags Details

  None (edit)
Description Matt McCutchen 2011-01-20 09:01:21 EST
Created attachment 474463 [details]
Valgrind log from gucharmap

Description of problem:
When I look at the Hangul Jamo (U+1100 through U+11FF) in gucharmap, many of them render as boxes containing numbers between 0000 and 00FF.  Dragging across them with the right mouse button sometimes causes the specific numbers to change.  I re-ran gucharmap under valgrind and got lots of errors.  I get similar behavior by entering a few jamo in gedit with Ctrl-Shift-U, so I don't think the bug is with gucharmap.  I may be missing a font, but in that case pango should just show boxes with the 11xx numbers instead of behaving in this bizarre way.

Version-Release number of selected component (if applicable):
pango-1.28.1-4.fc14

How reproducible:
Always

Steps to Reproduce:
1. valgrind gucharmap
2. Choose View -> By Unicode Block.
3. Choose the Hangul Jamo block.
4. Right-drag across the characters.
  
Actual results:
Some boxes containing 00xx which change unpredictably, and valgrind errors.

Expected results:
Correct rendering or correct numerical boxes, with no valgrind errors.

Additional info:
Comment 1 Matt McCutchen 2011-01-20 09:02:12 EST
Created attachment 474464 [details]
Screen shot of gucharmap
Comment 2 Behdad Esfahbod 2011-01-20 14:46:26 EST
Include the valgrind logs please?
Comment 3 Matt McCutchen 2011-01-20 14:52:12 EST
Attached to comment #0.  Did you want something else?
Comment 4 Daiki Ueno 2011-03-30 06:07:15 EDT
I could reproduce the problem.  Filed a bug at the upstream bug tracker with a patch:
https://bugzilla.gnome.org/show_bug.cgi?id=646213
Comment 5 Daiki Ueno 2011-04-07 21:04:28 EDT
Now fixed in upstream.
Comment 6 Daiki Ueno 2012-08-14 21:23:18 EDT
Closing this old bug - F14 was EOL quite a while ago and the fix in the current release.

Note You need to log in before you can comment on or make changes to this bug.